Gisaf not properly working: time-out and wrong date for weather station rainfall data - UPDATE
08/10/2022 11:48 - Giulio Di Anastasio

Status: In Progress Start date: 08/10/2022
Priority: High Due date:

Assignee: Philippe May % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

This morning (8th of October 2022) Gisaf was down, but the server was on. | have switched the server off, then waited some time
and then restarted the server. | could then connect to Gisaf, and | wanted to check how much rain we got in CSR weather station (as
it was raining last night). | saw the value of 24.4 (if | am not wrong), but its date on the graph was wrong, indicating the 9th of october
(tomorrow). So, | wanted to download the raw data and see how were they recorded, but | got the "Time out" error, and then Gisaf
stopped connecting (see screenshot attached).

| hope you can understand what is happening... thanks for letting me know

History

#1 - 08/10/2022 12:18 - Giulio Di Anastasio

- Subject changed from Gisaf not properly working: time-out and wrong date for weather station rainfall data to Gisaf not properly working: time-out
and wrong date for weather station rainfall data - UPDATE

| could now connect to Gisaf again, even though | did not do anything ...

| went to CSR weather station, and checked today rainfall data: it says 24.6, but the displayed date is 8th of october.

| then went to download the daily resampled data, | got the file, and | saw that the 24.6 mm is actually recorded as being on the 8th of october, which
is correct: so it looks like we have a discrepancy between the stored data and the graph displayed data...

| also tried to download the raw data of the weather station, but it gave me the error "504 Gateway Time-out" and below it, "nginx"

Thanks

#2 - 08/10/2022 12:21 - Giulio Di Anastasio
- File Wrong date displayed.jpg added
- File Giulio @ CSR (4)-rainfall-D.csv added

| attach here the screenshot of the graph with the wrong date (9 october), and the downloaded daily rainfall csv, with the last reading (today) being
correct...

#3 - 09/10/2022 15:10 - Philippe May

- Status changed from New to In Progress

Hola de Andalucia, taking a few days in this beautiful region... All good but bit hectic with internet connection.

| had a very quick look on the server and everything looks OK right now. The geomatics portal seems also OK, with latest rain data (enjoy the
rainfalll).

Checking https://gis.auroville.org.in/dashboard/Water/Weather%20stations: it looks like the 2 weather stations which send data to
AmbientWeather.com web service had a cumulative correction of around 20mm at 12AM this night. Kalpana's WS (a different model/brand) sends
data to WeatherUnderground.com and seems all good.

So i suspects it's a temporary failure from AmbientWeather.com.
Raw data from CSR WS is huge now, with millions of records. I'll check later when i have better internet and some more time.

#4 - 10/10/2022 14:45 - Giulio Di Anastasio
Thanks Philippe for looking at it!

| did not understand what you mean by saying "it looks like the 2 weather stations which send data to AmbientWeather.com web service had a
cumulative correction of around 20mm at 12AM this night".

Also, please check about the dates in the graphs of CSR and Sunship WS: they look one day ahead (9 october instead of 8, 10 instead of 9, etc)

Thanks

#5 - 10/10/2022 15:07 - Philippe May

The brand of these 2 WS is AmbientWeather, and they send the data to AmbientWeather.com web/cloud service.
The one in Kalpana is another brand, and there is no option to send data to the same service, so i have configured it to send data to
weatherunderground.com, and wrote another piece of software interface to get data from there.

| think the confusion with the day is only with the X axes in the graph. When you get data in CSV or mouse over on the graph, the values look OK to
me.

Files

Gisaf 8 october 2022.jpg 45 KB 08/10/2022 Giulio Di Anastasio
Giulio @ CSR (4)-rainfall-D.csv 35.8 KB 08/10/2022 Giulio Di Anastasio
Wrong date displayed.jpg 16.1 KB 08/10/2022 Giulio Di Anastasio
